Package com.verisign.epp.codec.org

## Class EPPOrgTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.org.EPPOrgTst

- All Implemented Interfaces:
    `junit.framework.Test`

      public class EPPOrgTst
      extends junit.framework.TestCase

  Is a unit test of the com.verisign.epp.codec.org package.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPOrgTst​(java.lang.String name)` | Creates a new EPPOrgTst object.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` | Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `static void` | `setNumIterations​(long aNumIterations)` | Sets the number of iterations to run per test.
    `protected void` | `setUp()` | JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPOrgMapFactory` with the `EPPCodec`.
    `static junit.framework.Test` | `suite()` | JUNIT `suite` static method, which returns the tests associated with `EPPOrgTst`.
    `protected void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testCheckCommand()` | Unit test of the Org Check Command.
    `void` | `testCheckResponse()` | Unit test of the Org Check Response.
    `void` | `testCreateCommand()` | Unit test of the Org Create Command.
    `void` | `testCreateResponse()` | Unit test of the Org Create Response.
    `void` | `testDeleteCommand()` | Unit test of the Org Delete Command.
    `void` | `testInfoCommand()` | Unit test of the Org Info Command.
    `void` | `testInfoResponse()` | Unit test of the Org Info Response.
    `void` | `testUpdateCommand()` | Unit test of the Org Update Command.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPOrgTst

          public EPPOrgTst​(java.lang.String name)

      Creates a new EPPOrgTst object.
      Parameters:
        `name` - Name of test

  - ### Method Detail

    - #### testCheckCommand

          public void testCheckCommand()

      Unit test of the Org Check Command. The following are the tests:
      1. TEST1 - Check an individual org identifier.
      2. TEST2 - Check three org identifiers.

    - #### testCheckResponse

          public void testCheckResponse()

      Unit test of the Org Check Response. The following are the tests:
      1. TEST1 - Check response with an individual result.
      2. TEST2 - Check response with three results.

    - #### testInfoCommand

          public void testInfoCommand()

      Unit test of the Org Info Command.

    - #### testInfoResponse

          public void testInfoResponse()

      Unit test of the Org Info Response.

    - #### testCreateCommand

          public void testCreateCommand()

      Unit test of the Org Create Command.

    - #### testCreateResponse

          public void testCreateResponse()

      Unit test of the Org Create Response.

    - #### testDeleteCommand

          public void testDeleteCommand()

      Unit test of the Org Delete Command.

    - #### testUpdateCommand

          public void testUpdateCommand()

      Unit test of the Org Update Command.

    - #### setUp

          protected void setUp()

      JUNIT `setUp` method, which sets the default client Id to "theRegistrar" and initializes the `EPPOrgMapFactory` with the `EPPCodec`.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPOrgTst`.
      Returns:
        Tests to run

    - #### main

          public static void main​(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Program arguments

    - #### setNumIterations

          public static void setNumIterations​(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test